node {
 def app

stage('clone')
{
    checkout scm

}

stage('Build image') {
    app = docker.build('docker.io/nginx')
} 

stage('TEST IMAGE') {

    docker.image('docker.io/nginx').withRun('-p 8091:8091') { c ->
    sh 'docker ps'
    sh 'curl localhost:8090'
}
}
}
